// Add Contact Information Field
function add_contact_field(x) {
  "use strict";
  var icon = $(x).attr("data-icon");
  var name = $(x).attr("data-name");
  var unique_name = name.split(" ").join("");
  var check_icon = icon.split("'")[1].split(" ")[1];
  if(unique_name.toLowerCase() == "invoiceinfo") {
    var html = `<div class="col-sm-12 form-group">
                  <div class="card" id="removecontact${i}">
                    <div class="border-0 card-header">
                      <span>Fatura Bilgisi</span>
                      <span class="bg-danger border-0 cursor-pointer float-end rounded-1 text-white" onclick="remove_contact_field(${i})" style="padding: 5px 12px;"><i class="fa-regular fa-xmark"></i></span>
                    </div>
                    <div class="card-body" id="${unique_name.toLowerCase()}">
                      <input type="text" class="form-control mb-2" name="contact_info[invoice_info][title]" placeholder="Ünvan" required>
                      <input type="text" class="form-control mb-2" name="contact_info[invoice_info][address]" placeholder="Adres" required>
                      <input type="text" class="form-control mb-2" name="contact_info[invoice_info][tax_administration]" placeholder="Vergi Dairesi" required>
                      <input type="text" class="form-control mb-2" name="contact_info[invoice_info][tax_number]" placeholder="Vergi Numarası" required>
                      <input type="hidden" class="form-control" name="icon[]" value="${icon}">
                      <input type="hidden" class="form-control" name="title[]" value="${name}">
                    </div>
                  </div>
                </div>`;
  } else if(unique_name.toLowerCase() == "bankaccount") {
    var html = `<div class="col-sm-12 form-group">
                  <div class="card" id="removecontact${i}">
                    <div class="border-0 card-header">
                      <span>Banka Hesabı</span>
                      <span class="bg-danger border-0 cursor-pointer float-end rounded-1 text-white" onclick="remove_contact_field(${i})" style="padding: 5px 12px;"><i class="fa-regular fa-xmark"></i></span>
                    </div>
                    <div class="card-body">
                      <input type="text" class="form-control mb-2" name="contact_info[bank_account][${i}][account_name]" placeholder="Hesap Adı (İş, Şahsi vb.)" required>
                      <input type="text" class="form-control mb-2" name="contact_info[bank_account][${i}][name]" placeholder="Banka Adı" required>
                      <input type="text" class="form-control mb-2" name="contact_info[bank_account][${i}][swift]" placeholder="Swift Kodu">
                      <input type="text" class="form-control mb-2" name="contact_info[bank_account][${i}][department]" placeholder="Şube" required>
                      <input type="text" class="form-control mb-2" name="contact_info[bank_account][${i}][department_code]" placeholder="Şube Kodu" required>
                      <input type="text" class="form-control mb-2" name="contact_info[bank_account][${i}][account_number]" placeholder="Hesap Numarası" required>
                      <input type="text" class="form-control mb-2" name="contact_info[bank_account][${i}][iban]" placeholder="IBAN" required>
                      <input type="text" class="form-control mb-2" name="contact_info[bank_account][${i}][account_type]" placeholder="Hesap Türü" required>
                      <input type="hidden" class="form-control" name="icon[]" value="${icon}">
                      <input type="hidden" class="form-control" name="title[]" value="${name}">
                    </div>
                  </div>
                </div>`;
  } else {
    let mask = null;
    switch (unique_name.toLowerCase()) {
      case 'facebook':
        mask = `data-inputmask-regex="(https:\/\/facebook\\.com\/[a-zA-Z0-9!#$%&'*+/=?^_{|}~-]+)"`;
        break;
      case 'instagram':
        mask = `data-inputmask-regex="(https:\/\/instagram\\.com\/[a-zA-Z0-9!#$%&'*+/=?^_{|}~-]+)"`;
        break;
      case 'linkedin':
        mask = `data-inputmask-regex="(https:\/\/linkedin\\.com\/in\/[a-zA-Z0-9!#$%&'*+/=?^_{|}~-]+)"`;
        break;
      case 'twitter':
        mask = `data-inputmask-regex="(https:\/\/twitter\\.com\/[a-zA-Z0-9!#$%&'*+/=?^_{|}~-]+)"`;
        break;
      case 'youtube':
        mask = `data-inputmask-regex="(https:\/\/youtube\\.com\/channel\/[a-zA-Z0-9!#$%&'*+/=?^_{|}~-]+)"`;
        break;
      case 'behance':
        mask = `data-inputmask-regex="(https:\/\/behance\\.net\/[a-zA-Z0-9!#$%&'*+/=?^_{|}~-]+)"`;
        break;
      case 'dribble':
        mask = `data-inputmask-regex="(https:\/\/dribbble\\.com\/[a-zA-Z0-9!#$%&'*+/=?^_{|}~-]+)"`;
        break;
      case 'messenger':
        mask = `data-inputmask-regex="(https:\/\/m\\.me\/[a-zA-Z0-9!#$%&'*+/=?^_{|}~-]+)"`;
        break;
      case 'telegram':
        mask = `data-inputmask-regex="(https:\/\/t\\.me\/[a-zA-Z0-9!#$%&'*+/=?^_{|}~-]+)"`;
        break;
      case 'pinterest':
        mask = `data-inputmask-regex="(https:\/\/pinterest\\.com\/[a-zA-Z0-9!#$%&'*+/=?^_{|}~-]+)"`;
        break;
      case 'tik-tok':
        mask = `data-inputmask-regex="(https:\/\/tiktok\\.com\/[a-zA-Z0-9!#$%&'*+/=?^_{|}~-]+)"`;
        break;
      case 'whatsapp':
        mask = `data-inputmask-regex="(https:\/\/wa\\.me\/[a-zA-Z0-9!#$%&'*+/=?^_{|}~-]+)"`;
        break;
      default:
        mask = null;
        break;
    }
    
  var html =
    `<div class="col-sm-6 form-group" id="removecontact${i}"><div class="d-flex mb-2"><div class="input-group"><span class="input-group-text">${icon}</span><input type="text" class="form-control" name="contact_info[]" id="${unique_name.toLowerCase()}" ${mask} placeholder="${name}" required><span class="input-group-text bg-danger text-white border-0 cursor-pointer" onclick="remove_contact_field(${i})"><i class="fa-regular fa-xmark"></i></span></div></div><input type="hidden" class="form-control" name="icon[]" value="${icon}"> <input type="hidden" class="form-control" name="title[]" value="${name}"></div>`;
  }
  if ($("#contact_info_repeater #" + unique_name.toLowerCase()).length > 0 || $("#contact_info_repeater").find('.'+check_icon).length > 0) {
    toastr.error(different_option);
  } else {
    if(unique_name.toLowerCase() == "invoiceinfo" || unique_name.toLowerCase() == "bankaccount") $("#contact_info_repeater").append(html);
    else $("#contact_info_repeater").prepend(html);
    $("#contact_info_card").show();
    $(":input").inputmask();
  }
  $("#contactinfo").modal("toggle");
  i++;
}
// Remove Contact Information Field
function remove_contact_field(id) {
  "use strict";
  $("#removecontact" + id).remove();
  if ($("#contact_info_repeater .form-group").length == 0) {
    $("#contact_info_card").hide();
  }
}


